%define name diald
%define version 0.99.4
%define release 2mdk

Summary: Daemon that provides on demand IP links via SLIP or PPP.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: Freely distributable 
Group: Networking/Other
Source0: %{name}-%{version}.tar.bz2
Source1: diald.init
Patch0: diald-Makefile.patch.bz2
Patch1: diald-route.patch.bz2
Patch2: diald-ppp.patch.bz2
Patch3: diald-c-files.patch.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: ppp

%description
Diald is a daemon that provides on demand IP links via SLIP or PPP. The
purpose of diald is to make it transparently appear that you have a
permanent connection to a remote site. Diald sets up a "proxy" device which
stands in for the physical connection to a remote site. It then monitors the
proxy, waiting for packets to arrive. When interesting packets arrive it
will attempt to establish the physical link to the remote site using either
SLIP or PPP, and if it succeeds it will forward traffic from the proxy to
the physical link. As well, diald will monitor traffic once the physical
link is up, and when it has determined that the link is idle, the remote
connection is terminated. The criteria for bringing the link up and taking
it down are configurable at run time, and are based upon the type of traffic
passing over the link.

Note that even if you use ppp for your connections, you still need slip 
compiled, either into the kernel or as a module.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n diald
%patch0 -p0
#%patch1
#%patch2
%patch3 -p0

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
make depend
echo N | make

%install
install -m 755 -d $RPM_BUILD_ROOT/dev
install -m 755 -d $RPM_BUILD_ROOT%{_initrddir}/
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
make DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir} install PAMDIR=$RPM_BUILD_ROOT/etc/pam.d
install -m 755 %SOURCE1 $RPM_BUILD_ROOT%{_initrddir}/diald
mknod -m 0660 $RPM_BUILD_ROOT/dev/diald.ctl p

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add diald

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del diald
fi

%files
%defattr (-,root,root)
%doc BUGS CHANGES LICENSE NOTES README README.ethertap README.masq
%doc THANKS TODO TODO.budget
%config(noreplace) %{_initrddir}/
/dev/diald.ctl
%{_sysconfdir}/pam.d/*
%{_bindir}/*
%{_libdir}/diald/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_sbindir}/*

%changelog
* Wed Mar 28 2001 Florin Grad <florin@mandrakesoft.com> 0.99.4-2mdk 
- add the pam file

* Wed Mar 28 2001 Florin Grad <florin@mandrakesoft.com> 0.99.4-1mdk 
- 0.99.4-1mdk
- update the Makefile patch and add the -p0 option
- comment out patch 1 and 2

* Tue Jan 09 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.99.1-5mdk 
- rebuild

* Thu Aug 31 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.99.1-4mdk
- rebuild to fix the init script.
- add a line to description reminding people to have slip in their kernel.
- fix automated build.

* Tue Aug 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99.1-3mdk
- BM

* Wed Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99.1-2mdk
- fix group
- fix files section

* Thu Feb 10 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99.1-1mdk
- mandrake build
- modified Makefile-patch file for proper owner during install
